#!make

all: info

PROJECT_NAME ?= basic-project-x
DOCKER_TAG ?= v0.0.0
DOCKER_IMAGE ?= ${PROJECT_NAME}:${DOCKER_TAG}

VAULT_ADDR ?=
VAULT_NAMESPACE ?= default
VAULT_AUTH_METHOD ?= oidc
VAULT_AUTH_PATH ?= oidc
VAULT_AUTH_ROLE ?=

include ${TPL_LIB_MAKE}/template.mk
include ${TPL_LIB_MAKE}/vault.mk

.PHONY: info
info:
	@echo "Basic project"
	@echo ""
	@echo "Commands to try:"
	@echo "  make template.diff                             # Useful for template upgrade"
	@echo ""
	@echo "Devcontainer features:"
	@echo "  - Use TAB to auto-complete or discover make commands"
	@echo "  - Within a devcontainer, you can use VSCode to browse other files:"
	@echo "    'code ${TPL_LIB}'"
